# Deprecated API

## Contents

- Terminally Deprecated
- Methods

Terminally Deprecated Elements
Element
Description
org.apache.avro.compiler.specific.SpecificCompiler.javaEscape(String)
Use `SpecificCompiler.escapeForJavaString(String)` instead

Deprecated Methods
Method
Description
org.apache.avro.compiler.specific.SpecificCompiler.javaEscape(String)
Use `SpecificCompiler.escapeForJavaString(String)` instead
org.apache.avro.compiler.specific.SpecificCompiler.javaUnbox(Schema)
use javaUnbox(Schema, boolean), kept for backward compatibility of custom templates